FreeMat

- Main Page
- Related Pages

vtkGeodesicPath

Section: Visualization Toolkit Graphics Classes

# Usage

Serves as a base class for algorithms that trace a geodesic path on a polygonal dataset.

To create an instance of class vtkGeodesicPath, simply invoke its constructor as follows

      obj = vtkGeodesicPath

# Methods

The class vtkGeodesicPath has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGeodesicPath class.

- `string = obj.GetClassName ()` - Standard methids for printing and determining type information.
- `int = obj.IsA (string name)` - Standard methids for printing and determining type information.
- `vtkGeodesicPath = obj.NewInstance ()` - Standard methids for printing and determining type information.
- `vtkGeodesicPath = obj.SafeDownCast (vtkObject o)` - Standard methids for printing and determining type information.
- `double = obj.GetGeodesicLength ()`